Revert Grant Termination
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/revertGrantTermination \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"grantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/revertGrantTermination"
payload = { "grantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({grantID: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.toku.com/api/tokuApi/v1/revertGrantTermination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.toku.com/api/tokuApi/v1/revertGrantTermination",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'grantID' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-role-type: <x-role-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.toku.com/api/tokuApi/v1/revertGrantTermination"
payload := strings.NewReader("{\n \"grantID\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-role-type", "<x-role-type>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.toku.com/api/tokuApi/v1/revertGrantTermination")
.header("x-role-type", "<x-role-type>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"grantID\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.toku.com/api/tokuApi/v1/revertGrantTermination")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-role-type"] = '<x-role-type>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"grantID\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"grantID": "550e8400-e29b-41d4-a716-446655440000",
"grantName": "Q1 2026 Token Grant - Jane Smith",
"externalEmployeeID": "EMP-001",
"grantAmount": 50000,
"grantStatus": "ACCEPTED",
"grantAmountInFiat": 25000,
"grantConfigurationName": "Standard 4-Year RTU",
"vestingStartDate": "2026-01-01T00:00:00.000Z",
"vestingPeriods": 48,
"vestingFrequencyType": "MONTHLY",
"vestingCliffPeriods": 12,
"vestingCliffPercentage": 25,
"percentageOfUnitsVested": 16.67,
"recipientFullName": "Jane Smith",
"grantDate": "2025-12-15T00:00:00.000Z",
"tags": [
"engineering",
"2026"
],
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"roleInOrgExternalID": 12345,
"hasGrantDocuments": false,
"createdAt": "2025-12-15T10:30:00.000Z"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Grants
Revert Grant Termination
Reverts a previously terminated grant and regenerates vestings.
POST
/
revertGrantTermination
Revert Grant Termination
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/revertGrantTermination \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"grantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/revertGrantTermination"
payload = { "grantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({grantID: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.toku.com/api/tokuApi/v1/revertGrantTermination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.toku.com/api/tokuApi/v1/revertGrantTermination",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'grantID' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-role-type: <x-role-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.toku.com/api/tokuApi/v1/revertGrantTermination"
payload := strings.NewReader("{\n \"grantID\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-role-type", "<x-role-type>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.toku.com/api/tokuApi/v1/revertGrantTermination")
.header("x-role-type", "<x-role-type>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"grantID\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.toku.com/api/tokuApi/v1/revertGrantTermination")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-role-type"] = '<x-role-type>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"grantID\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"grantID": "550e8400-e29b-41d4-a716-446655440000",
"grantName": "Q1 2026 Token Grant - Jane Smith",
"externalEmployeeID": "EMP-001",
"grantAmount": 50000,
"grantStatus": "ACCEPTED",
"grantAmountInFiat": 25000,
"grantConfigurationName": "Standard 4-Year RTU",
"vestingStartDate": "2026-01-01T00:00:00.000Z",
"vestingPeriods": 48,
"vestingFrequencyType": "MONTHLY",
"vestingCliffPeriods": 12,
"vestingCliffPercentage": 25,
"percentageOfUnitsVested": 16.67,
"recipientFullName": "Jane Smith",
"grantDate": "2025-12-15T00:00:00.000Z",
"tags": [
"engineering",
"2026"
],
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"roleInOrgExternalID": 12345,
"hasGrantDocuments": false,
"createdAt": "2025-12-15T10:30:00.000Z"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Response
Grant termination reverted
Unique identifier
Example:
"550e8400-e29b-41d4-a716-446655440000"
Human-readable name
Example:
"Q1 2026 Token Grant - Jane Smith"
External HRIS identifier
Example:
"EMP-001"
Total token units (0 for fiat grants)
Example:
50000
Available options:
PENDING, REJECTED, ACCEPTED, COMPLETED, TERMINATED, PAUSED, MARKED_FOR_FUTURE_TERMINATION Example:
"ACCEPTED"
Fiat value of the grant
Example:
25000
Template name
Example:
"Standard 4-Year RTU"
Example:
"2026-01-01T00:00:00.000Z"
Example:
48
Available options:
MONTHLY, QUARTERLY, ANNUALLY Example:
"MONTHLY"
Example:
12
Example:
25
Percentage vested to date
Example:
16.67
Example:
"Jane Smith"
Example:
"2025-12-15T00:00:00.000Z"
Example:
["engineering", "2026"]
Example:
"660e8400-e29b-41d4-a716-446655440001"
Example:
12345
Example:
false
Example:
"2025-12-15T10:30:00.000Z"
